Subject: Re: [PATCH net-next] lib: Allow for the DIM library to be modular

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 May 2024 17:58:15 -0700

On Thu,  2 May 2024 17:25:40 -0700 Florian Fainelli wrote:
> Allow the Dynamic Interrupt Moderation (DIM) library to be built as a
> module. This is particularly useful in an Android GKI (Google Kernel
> Image) configuration where everything is built as a module, including
> Ethernet controller drivers. Having to build DIMLIB into the kernel
> image with potentially no user is wasteful.

How big is it? Folks from Alibaba are trying to add the ability to
change the profiles, they'd need to change the calling conventions.
Which is not terrible, but also why make them suffer if the gain
isn't big..